ghc-7.0.3: The GHC API

RnPat

# Documentation

rnPat :: HsMatchContext Name -> LPat RdrName -> (LPat Name -> RnM (a, FreeVars)) -> RnM (a, FreeVars)Source

rnPats :: HsMatchContext Name -> [LPat RdrName] -> ([LPat Name] -> RnM (a, FreeVars)) -> RnM (a, FreeVars)Source

rnBindPat :: NameMaker -> LPat RdrName -> RnM (LPat Name, FreeVars)Source

data NameMaker Source

applyNameMaker :: NameMaker -> Located RdrName -> RnM Name Source

localRecNameMaker :: MiniFixityEnv -> NameMaker Source

topRecNameMaker :: MiniFixityEnv -> NameMaker Source

rnHsRecFields1 :: HsRecFieldContext -> (RdrName -> arg) -> HsRecFields RdrName (Located arg) -> RnM ([HsRecField Name (Located arg)], FreeVars)Source

data HsRecFieldContext Source

Constructors

HsRecFieldCon Name |
HsRecFieldPat Name |
HsRecFieldUpd |

rnLit :: HsLit -> RnM ()Source

rnOverLit :: HsOverLit t -> RnM (HsOverLit Name, FreeVars)Source

checkTupSize :: Int -> RnM ()Source

patSigErr :: Outputable a => a -> SDoc Source